Permalink
Browse files

POE::Filter::Reference wasn't loading Compress::Zlib due to require()…

… semantics changes somewhere between 5.6.1 and 5.7.4. Thanks to Nilson Santos (nilsonsfj on the CPAN) for reporting the problem and providing a suggested fix.
  • Loading branch information...
rcaputo committed Nov 26, 2004
1 parent f590976 commit 56bd12f1edfc7b931a3c2e0bb008b8d039960560
Showing with 1 addition and 3 deletions.
  1. +1 −3 lib/POE/Filter/Reference.pm
@@ -36,9 +36,7 @@ sub _include_zlib {
local $SIG{'__DIE__'} = 'DEFAULT';
unless (defined $zlib_status) {
- eval { require 'Compress::Zlib';
- import Compress::Zlib qw(compress uncompress);
- };
+ eval "use Compress::Zlib qw(compress uncompress)";
if ($@) {
$zlib_status = $@;
eval <<' EOE';

0 comments on commit 56bd12f

Please sign in to comment.